# Basic concepts

## Connection

> Could be referenced as a cross-chat (a chat across multiple servers)

A connection is like a group, created using the `/create` command.  Each connection can have multiple channels connected to it (`/connect`) and all of those channels will have the same messages displayed.

{% hint style="warning" %}
Each user can have up to 2 connections. Patrons can this bypass by a set amount depending on their active membership tier. [Learn more about Patreon Perks](https://www.patreon.com/soupcreations)
{% endhint %}

## Connected Channel

> Could be referenced as a cChannel (stands for connectedChannel)

Connected channels are channels that have been "connected" or added to a [connection](#connection). These channels usually share messages with all other cChannels in their connection. You can add a channel to a connection using the `/connect` command.

{% hint style="warning" %}
Each user can have up to 20 cChannels. Patrons can bypass this by a set amount depending on their active membership tier. [Learn more about Patreon Perks](https://www.patreon.com/soupcreations)
{% endhint %}

## CrossMessage

> Could be referenced as a cMessage or a Cross-Message

CrossMessages are messages that have been duplicated over to other connected channels. These usually have the same content, embeds, files, profile pictures, etc...

## Channel connecting

Channel connecting, channel connection, and all its other variants, refer to the act of adding a channel to a connection.&#x20;

{% hint style="danger" %}
This is not to be confused with [Connected Channel](#connected-channel), an already added channel

This is not to be confused with [Connection](#connection), a group of multiple Connected Channels
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.combot.xyz/before-you-start/basic-concepts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
